<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('REPORT_LIST')}</a></li>

		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Report/index')}">
            {:lang('STATUS')}: 
			<select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if> >{$v}</option>
                </volist>                
			</select>
			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('KEYWORD')}:  
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_THE_MEMBER_ID_OR_NICKNAME')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>				
		<form method="post" class="js-ajax-form" >
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('REPORTER')}</th>
						<th>{:lang('REPORTED_PERSON')}</th>
						<th>{:lang('REPORT_CONTENT')}</th>
						<th>{:lang('STATUS')}</th>
						<th>{:lang('SUBMISSION_TIME')}</th>
						<th>{:lang('PROCESSING_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['touserinfo']['user_nickname']} ({$vo['touid']})</td>
						<td><?php echo nl2br($vo['content']);?></td>				
						<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>						
						<td>
						 <if condition="$vo['status'] eq '0'" >
						    {:lang('PENDING')}
						 <else/>
                             {:date('Y-m-d H:i:s',$vo['uptime'])}
						 </if>						
						 </td>

						<td align="center">	
							<if condition="$vo['status'] eq '0'" >
                            <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Report/setstatus',array('id'=>$vo['id']))}" >{:lang('MARK_AS_PROCESSED')}</a>
							</if>
							<if condition="$vo['touserinfo']['user_status'] eq 1">
                            <a class="btn btn-xs btn-warning js-ajax-dialog-btn" href="{:url('user/adminIndex/ban',array('id'=>$vo['touid'],'isdel'=>1))}" >{:lang('DISABLE')}</a>
                            <else/>
                            {:lang('DISABLED')}
                            </if>
                            
							<a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Report/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
</body>
</html>